Skip to main content
POST
/
salesOrders
/
{salesOrderId}
/
workflow
/
{workflowEventId}
Trigger Sales Order Workflow
curl --request POST \
  --url https://api.jtl-cloud.com/erp/salesOrders/{salesOrderId}/workflow/{workflowEventId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

api-version
string

Specify the desired API version, e.g. '1.0'. If not provided, the last available version is set.

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

workflowEventId
enum<integer>
required

The id of the event for that the manual workflow event should be started. 1 = Created, 2 = Deleted, 3 = Changed, 4 = Delievered, 5 = Canceled, 6 = Joined, 7 = Splittet, 9 = WithOutShipping, 10 = CompletePaid

Available options:
1,
2,
3,
4,
5,
6,
7,
9,
10
salesOrderId
integer<int32>
required

The id of the sales order for that the manual workflow event should be started.

Response